Bug 209488 - weather applet's location search does not properly work on substrings
weather applet's location search does not properly work on substrings
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-05 12:03 EDT by Zack Cerza
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-30 17:22:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 424639 None None None Never

  None (edit)
Description Zack Cerza 2006-10-05 12:03:53 EDT
Description of problem:
For certain locations, the search feature does not work properly.

Version-Release number of selected component (if applicable):
gnome-applets-2.16.0.1-7.fc6

How reproducible:
Always

Steps to Reproduce:
1. Add a new weather applet
2. Right-click on it and go to Preferences
3. Switch to the Location tab
4. In the text entry at the bottom, type 'Barcelona'
5. Scroll up to notice that you're in Venezuela.
6. We want the one in Spain, so press 'Find Next'.
  
Actual results:
No other Barcelona is found.

Expected results:
'Barcelona/Airport' under Spain is found.

Additional info:
If you search for 'Barcelona/', 'Barcelona/Air', etc. then the correct one is
found. But it seems that the '/' character (and possibly others) are breaking
the search implementation.
Comment 1 Ray Strode [halfline] 2007-03-30 17:22:19 EDT
should be fixed in tomorrow's rawhide.

Note You need to log in before you can comment on or make changes to this bug.